Bug 111976 - package kdeartwork icon themes separately
Summary: package kdeartwork icon themes separately
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeartwork   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-12 03:12 UTC by Keunwoo Lee
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-15 16:36:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Keunwoo Lee 2003-12-12 03:12:35 UTC
The kdeartwork package bundles together several "look and feel" 
customizations (like kwin styles) and icon styles.  The icon styles 
account for the lion's share of kdeartwork's disk usage: in my 
installation of Fedora Core 1, 
 
  du -c /usr/share/icons/{Locolor,Technical,ikons,kdeclassic,slick} 
 
gives a total of over 22MB (even though though du -c --apparent-size 
gives only 6.5MB: icon themes are composed of the large number of 
very small files, which on ext2/ext3 occupy a full disk block 
regardless of their size). 
 
I want to use kdeartwork for the kwin styles and utilities, but 
would rather not pay 22+MB on my hard drive for a bunch of icon 
themes that I will never use.  This problem is going to get worse 
with KDE 3.2: judging by the beta, 3.2 will add another icon theme 
("kids"; apparent size 4MB, disk size almost 7MB) and move more kwin 
styles from kdecore to kdeartwork. 
 
It would not be necessary to package each icon theme separately, but 
if the icon themes as a whole could collectively be packaged as e.g. 
kdeartwork-icons, then it would be better.  Thanks.

Comment 1 Ngo Than 2003-12-15 16:36:07 UTC
it should be fixed kdeartwork-3_1_94-0_2. thanks


Note You need to log in before you can comment on or make changes to this bug.